summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-10-25 07:00:32 +0200
committerHans de Graaff <graaff@gentoo.org>2019-10-25 07:31:32 +0200
commitc5493604bf61896ca75bd83b5e8785b5fbd832fd (patch)
tree0fbd214af5b86a890ccf951549446b70fd6450df /dev-ruby
parentnet-im/slack-bin: version bump to 4.1.1 (diff)
downloadgentoo-c5493604bf61896ca75bd83b5e8785b5fbd832fd.tar.gz
gentoo-c5493604bf61896ca75bd83b5e8785b5fbd832fd.tar.bz2
gentoo-c5493604bf61896ca75bd83b5e8785b5fbd832fd.zip
dev-ruby/rspec-support: add 3.9.0
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/rspec-support/Manifest1
-rw-r--r--dev-ruby/rspec-support/rspec-support-3.9.0.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/dev-ruby/rspec-support/Manifest b/dev-ruby/rspec-support/Manifest
index 77805492457..219678a7a4d 100644
--- a/dev-ruby/rspec-support/Manifest
+++ b/dev-ruby/rspec-support/Manifest
@@ -1,3 +1,4 @@
DIST rspec-support-3.7.1-git.tgz 65831 BLAKE2B 8595c496bc8d13e36fdfd4a8be8e055db4ac1e85af63f99158d191c9ef9e0a6ba0a2972ad7661a63eeda959e2969139a99ded71219777fd493544b711b6fea53 SHA512 a5760d696048897d76c665a756474bbb1a1995891e577c989cf68a205644c8608c538bf3d87c558428e2c412e02d3552d47567a0679cd4f8793c06f43eccf459
DIST rspec-support-3.8.2-git.tgz 69112 BLAKE2B 84600d3e2b4d847618f7f53efdf60be3836c7ba6c586de88cdf085e84749e616ad556683b1e7b588b9aec08adee10054e64ae1daf69c6ad58a00d1c2447171f7 SHA512 9fb9f8f2507edee5e7c414d32c1641803eed7a5e17fd300308449277ec6efb786f07207d8f28bcea0a669b8d76a2da53057488d149990ae973c0f7a0343180dc
DIST rspec-support-3.8.3-git.tgz 69654 BLAKE2B 1ea3eed0602655fbf5f92cdc14217eb8377d980378c9835a342840bb7a00bb1cf095b6fe57a24f80c01ce1835b398ac3c1bd11ac1f95a90b501be6a000e8f6d2 SHA512 90d678e08ca93be30ace986a60aba4c4a81a58d7c56d34863aca70f91efe92480299970aa7eb158e3f8c4878b1ea3303aa0afabfc8c7782bc78f7f63b90b4f9a
+DIST rspec-support-3.9.0-git.tgz 69705 BLAKE2B 96d5cea9c63e6ec2acdbbfc4b7253acc26dbf5202c3bafc4a461123380db7d56958d2bbc787eaf3f1c480801441f6a134e1f29b1d3ce23b1bd3225fe4d8f37a5 SHA512 10e8fa4af59097891219f00e2ced5940e7a5bc67d946fbd348683d2246a4a491e62f7bac6bb757e14d82bb0ba970fe5633609ca4ab2c97c4900719b8004cf4b5
diff --git a/dev-ruby/rspec-support/rspec-support-3.9.0.ebuild b/dev-ruby/rspec-support/rspec-support-3.9.0.ebuild
new file mode 100644
index 00000000000..869b3030951
--- /dev/null
+++ b/dev-ruby/rspec-support/rspec-support-3.9.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="Changelog.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Behaviour Driven Development (BDD) framework for Ruby"
+HOMEPAGE="https://github.com/rspec/rspec-support"
+SRC_URI="https://github.com/rspec/${PN}/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend "test? ( >=dev-ruby/rspec-3.8.0:3 >=dev-ruby/thread_order-1.1.0 )"
+
+all_ruby_prepare() {
+ sed -i -e '/git ls-files/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Remove spec that, by following symlinks, tries to scan pretty much
+ # the whole filesystem.
+ rm spec/rspec/support/caller_filter_spec.rb || die
+
+ # Avoid spec that requires a dependency on git
+ sed -i -e '/library wide checks/,/]/ s:^:#:' spec/rspec/support_spec.rb || die
+
+ # Avoid a spec requiring a specific locale
+ sed -i -e '/copes with encoded strings/ s/RSpec::Support::OS.windows?/true/' spec/rspec/support/differ_spec.rb || die
+
+ # Avoid a brittle spec depending on ruby implementation details
+ # should be fixed upstream in next version
+ #sed -i -e '/returns a hash containing nodes for each line number/askip "ruby26"' spec/rspec/support/source_spec.rb || die
+}